@Remitmaster

Почему кидает ошибку mbstring в phpseclib?

* php 7.4
* ставлю php-amqplib/php-amqplib
* mbstring.func_overload=0 // и web и cli

Через какое-то время (НЕ СРАЗУ), ловлю выброс исключения из бибилиотеки phpseclib

[UnexpectedValueException] 
Overloading of string functions using mbstring.func_overload is not supported by phpseclib. (0)
/vendor/phpseclib/phpseclib/phpseclib/bootstrap.php:17


начинаю копать, ставлю
var_dump(ini_get("mbstring.func_overload"));
if (extension_loaded('mbstring')) {
    // 2 - MB_OVERLOAD_STRING
    // mbstring.func_overload is deprecated in php 7.2 and removed in php 8.0.
    if (version_compare(PHP_VERSION, '8.0.0') < 0 && ini_get('mbstring.func_overload') & 2) {
        throw new UnexpectedValueException(
            'Overloading of string functions using mbstring.func_overload is not supported by phpseclib.'
        );
    }
}


чтобы убедится что значение параметра верное, до кода с исключением пытаюсь вывести значение параметра
ini_get("mbstring.func_overload")

после сохранения файла все начинает работать

ошибку кидает с 12 ночи по 6 утра
  • Вопрос задан
  • 122 просмотра
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы